
class LoggingMixin:
	def __init__(self):
		super().__init__()

	def _log(self, severity, msg: str):
		getattr(self._logger, severity)('[PRINT IT CLOUD]: ' + msg.__str__())

	def _log_error(self, msg: str):
		self._log('error', msg)

	def _log_info(self, msg: str):
		self._log('info', msg)

	def _log_debug(self, msg: str):
		# TODO temp. log debug as info
		# self._log('debug', msg)
		self._log('info', msg)

	def _say_welcome(self):
		self._log_info("***************************************************")
		self._log_info("**********Welcome to Print It Cloud!***************")
		self._log_info("***************************************************")

	def _say_bye(self):
		self._log_info("***************************************************")
		self._log_info("*********************Bye-bye***********************")
		self._log_info("***************************************************")
